## org.eclipse.datatools.sqltools.data.internal.core.common.data
Class ResultSetReader

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.common.data.ResultSetReader

    public class ResultSetReader

extends java.lang.Object

Constructor Summary
`ResultSetReader()`

Method Summary
`static java.lang.Object` `read(java.sql.ResultSet rs, int column)`
`static java.lang.Object` `read(java.sql.ResultSet rs, int column, int lobLimit)`
`static java.lang.String` `toNormalString(java.math.BigDecimal decimalValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetReader

    public ResultSetReader()

Method Detail

### toNormalString

    public static java.lang.String toNormalString(java.math.BigDecimal decimalValue)

### read

    public static java.lang.Object read(java.sql.ResultSet rs,
                                        int column)
                                 throws java.sql.SQLException,
                                        java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### read

    public static java.lang.Object read(java.sql.ResultSet rs,
                                        int column,
                                        int lobLimit)
                                 throws java.sql.SQLException,
                                        java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`